Bug 1131951 (CVE-2014-3601) - CVE-2014-3601 kernel: kvm: invalid parameter passing in kvm_iommu_map_pages()
Summary: CVE-2014-3601 kernel: kvm: invalid parameter passing in kvm_iommu_map_pages()
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-3601
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1131952 1131953 1144366
Blocks: 1131958
TreeView+ depends on / blocked
 
Reported: 2014-08-20 11:36 UTC by Petr Matousek
Modified: 2019-09-29 13:20 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way the Linux kernel's kvm_iommu_map_pages() function handled IOMMU mapping failures. A privileged user in a guest with an assigned host device could use this flaw to crash the host.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:34:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1392 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2014-10-14 01:28:44 UTC

Description Petr Matousek 2014-08-20 11:36:36 UTC
A flaw was found in the way iommu mapping failures were handled in
kvm_iommu_map_pages() function in the Linux kernel. A privileged user in the
guest could use this flaw to crash the host in case the guest has access to
passed in device.

Acknowledgements:

Red Hat would like to thank Jack Morgenstein of Mellanox for reporting this issue; the security impact of this issue was discovered by Michael Tsirkin of Red Hat.

Comment 5 Petr Matousek 2014-09-19 09:37:25 UTC
Statement:

This issue did not affect the Linux kernel versions as shipped with Red Hat Enterprise Linux 7 and Red Hat Enterprise MRG 2. Future kvm updates for Red Hat Enterprise Linux 5 and Linux kernel updates for Red Hat Enterprise Linux 6 may address this issue.

Comment 6 Martin Prpič 2014-10-10 08:45:19 UTC
IssueDescription:

A flaw was found in the way the Linux kernel's kvm_iommu_map_pages() function handled IOMMU mapping failures. A privileged user in a guest with an assigned host device could use this flaw to crash the host.

Comment 7 errata-xmlrpc 2014-10-14 06:17:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1392 https://rhn.redhat.com/errata/RHSA-2014-1392.html


Note You need to log in before you can comment on or make changes to this bug.